# Plutonium framework API: Plutonium/include/pu/audio/audio_Music.hpp File Reference

audio_Music.hpp File Reference
`#include <SDL2/SDL_mixer.h>`
`#include <pu/pu_Include.hpp>`

Go to the source code of this file.

## Namespaces

namespace | pu
namespace | pu::audio

## Typedefs

using | pu::audio::Music = Mix_Music *

## Functions

Music | pu::audio::OpenMusic (const std::string &path)
void | pu::audio::PlayMusic (Music mus, const int loops)
void | pu::audio::PlayMusicWithFadeIn (Music mus, const i32 llops, const i32 ms)
bool | pu::audio::IsPlayingMusic ()
void | pu::audio::PauseMusic ()
void | pu::audio::ResumeMusic ()
void | pu::audio::SetMusicVolume (const i32 vol)
i32 | pu::audio::GetMusicVolume ()
void | pu::audio::FadeOutMusic (const i32 ms)
void | pu::audio::RewindMusic ()
void | pu::audio::StopMusic ()
void | pu::audio::SetMusicPosition (const double sec)
void | pu::audio::DestroyMusic (Music &mus)